Overview | Modules | Class Hierarchy | Classes | Members

Signals | Public Member Functions | Protected Member Functions | Protected Attributes
tlp::CSVGraphMappingConfigurationWidget Class Reference

Widget generating the CSVToGraphDataMapping object. More...

`#include <CSVGraphMappingConfigurationWidget.h>`

List of all members.

## Signals

- void mappingChanged ()

## Public Member Functions

- CSVGraphMappingConfigurationWidget (QWidget *parent=NULL)
- ~CSVGraphMappingConfigurationWidget ()
- void updateWidget (tlp::Graph *graph, const CSVImportParameters &importParameters)
    Configure the widget with the CSV import parameters.
- CSVToGraphDataMapping * buildMappingObject () const
    Build the mapping object between the CSV columns and the graph elements.
- bool isValid () const
    Check if the values entered by user are valid.

## Protected Member Functions

- void changeEvent (QEvent *e)

## Protected Attributes

- tlp::Graph * graph

## Detailed Description

Widget generating the CSVToGraphDataMapping object.

This widget allow user to configure a CSVToGraphDataMapping object. This object is used during the CSV import process to map CSV columns to graph elements like nodes or edges.

## Constructor & Destructor Documentation

tlp::CSVGraphMappingConfigurationWidget::CSVGraphMappingConfigurationWidget | ( | QWidget * | parent = `NULL` | ) |

tlp::CSVGraphMappingConfigurationWidget::~CSVGraphMappingConfigurationWidget | ( |  | ) |

## Member Function Documentation

CSVToGraphDataMapping* tlp::CSVGraphMappingConfigurationWidget::buildMappingObject | ( |  | ) | const

Build the mapping object between the CSV columns and the graph elements.

void tlp::CSVGraphMappingConfigurationWidget::changeEvent | ( | QEvent * | e | ) | `[protected]`

bool tlp::CSVGraphMappingConfigurationWidget::isValid | ( |  | ) | const

Check if the values entered by user are valid.

If return true you are sure that buildMappingObject never return a NULL object.

void tlp::CSVGraphMappingConfigurationWidget::mappingChanged | ( |  | ) | `[signal]`

void tlp::CSVGraphMappingConfigurationWidget::updateWidget | ( | tlp::Graph * | graph,
|  | const CSVImportParameters & | importParameters
| ) |  |

Configure the widget with the CSV import parameters.

## Member Data Documentation

tlp::Graph* tlp::CSVGraphMappingConfigurationWidget::graph`[protected]`

Tulip Software by LaBRI Visualization Team 2001 - 2012